package com.caliverse.admin.dynamodb.domain.doc;

import com.caliverse.admin.dynamodb.domain.atrrib.MoneyAttrib;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class MoneyDoc extends DynamoDBDocBase {
    private MoneyAttrib moneyAttrib;

    public String getAttribFieldName() {
        return "MoneyAttrib";
    }

    @DynamoDbAttribute("MoneyAttrib")
    public MoneyAttrib getAttribValue() {
        return moneyAttrib;
    }

    public void setAttribValue(MoneyAttrib value) {
        this.moneyAttrib = value;
    }
}

